Package org.springframework.beans.propertyeditors

# Class CustomBooleanEditor

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.beans.propertyeditors.CustomBooleanEditor

All Implemented Interfaces:
  `PropertyEditor`

public class CustomBooleanEditor extends PropertyEditorSupport
Property editor for Boolean/boolean properties.

This is not meant to be used as system PropertyEditor but rather as locale-specific Boolean editor within custom controller code, to parse UI-caused boolean strings into boolean properties of beans and check them in the UI form.

In web MVC code, this editor will typically be registered with `binder.registerCustomEditor` calls.

Since:
  10.06.2003
Author:
  Juergen Hoeller
See Also:
  - `org.springframework.validation.DataBinder#registerCustomEditor`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`VALUE_0`
Value of `"0"`.
`static final String`
`VALUE_1`
Value of `"1"`.
`static final String`
`VALUE_FALSE`
Value of `"false"`.
`static final String`
`VALUE_NO`
Value of `"no"`.
`static final String`
`VALUE_OFF`
Value of `"off"`.
`static final String`
`VALUE_ON`
Value of `"on"`.
`static final String`
`VALUE_TRUE`
Value of `"true"`.
`static final String`
`VALUE_YES`
Value of `"yes"`.

## Constructor Summary

Constructors
Constructor
Description
`CustomBooleanEditor(boolean allowEmpty)`
Create a new CustomBooleanEditor instance, with "true"/"on"/"yes" and "false"/"off"/"no" as recognized String values.
`CustomBooleanEditor(String trueString, String falseString, boolean allowEmpty)`
Create a new CustomBooleanEditor instance, with configurable String values for true and false.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### VALUE_TRUE

public static final String VALUE_TRUE
Value of `"true"`.

See Also:
  - Constant Field Values

### VALUE_FALSE

public static final String VALUE_FALSE
Value of `"false"`.

See Also:
  - Constant Field Values

### VALUE_ON

public static final String VALUE_ON
Value of `"on"`.

See Also:
  - Constant Field Values

### VALUE_OFF

public static final String VALUE_OFF
Value of `"off"`.

See Also:
  - Constant Field Values

### VALUE_YES

public static final String VALUE_YES
Value of `"yes"`.

See Also:
  - Constant Field Values

### VALUE_NO

public static final String VALUE_NO
Value of `"no"`.

See Also:
  - Constant Field Values

### VALUE_1

public static final String VALUE_1
Value of `"1"`.

See Also:
  - Constant Field Values

### VALUE_0

public static final String VALUE_0
Value of `"0"`.

See Also:
  - Constant Field Values

## Constructor Details

### CustomBooleanEditor

public CustomBooleanEditor(boolean allowEmpty)
Create a new CustomBooleanEditor instance, with "true"/"on"/"yes" and "false"/"off"/"no" as recognized String values.

The "allowEmpty" parameter states if an empty String should be allowed for parsing, i.e. get interpreted as null value. Else, an IllegalArgumentException gets thrown in that case.

Parameters:
  `allowEmpty` - if empty strings should be allowed

### CustomBooleanEditor

public CustomBooleanEditor(@Nullable String trueString, @Nullable String falseString, boolean allowEmpty)
Create a new CustomBooleanEditor instance, with configurable String values for true and false.

The "allowEmpty" parameter states if an empty String should be allowed for parsing, i.e. get interpreted as null value. Else, an IllegalArgumentException gets thrown in that case.

Parameters:
  `trueString` - the String value that represents true: for example, "true" (VALUE_TRUE), "on" (VALUE_ON), "yes" (VALUE_YES) or some custom value
  `falseString` - the String value that represents false: for example, "false" (VALUE_FALSE), "off" (VALUE_OFF), "no" (VALUE_NO) or some custom value
  `allowEmpty` - if empty strings should be allowed
See Also:
  - `VALUE_TRUE`
  - `VALUE_FALSE`
  - `VALUE_ON`
  - `VALUE_OFF`
  - `VALUE_YES`
  - `VALUE_NO`

## Method Details

### setAsText

public void setAsText(@Nullable String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`